Bug 1248701 - RFE - OSEv3 needs an easy way to store secrets for external code repos
RFE - OSEv3 needs an easy way to store secrets for external code repos
Status: CLOSED NOTABUG
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.0.0
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mike Barrett
Johnny Liu
: Question
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 12:05 EDT by Nicholas Nachefski
Modified: 2015-09-30 14:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-30 14:54:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicholas Nachefski 2015-07-30 12:05:02 EDT
Description of problem:

There is not an easy way to use secrets to authenticate and pull source code from non-public code repos like github.  For instance, if a customer has an internal (and protected) git repo (like Stash).  Right now, you have to create a create secrets.json file, do some base64 encoding of the private key, and edit the build config, blah blah blah.

This leaves alot of room for human error.  We need an easy way enter and associate these secrets with external repos via the web console.

Thanks!
-Nick
Comment 2 Kenjiro Nakayama 2015-09-27 21:40:00 EDT
This section in the docu is not enough for the explanation? 

https://docs.openshift.com/enterprise/3.0/dev_guide/builds.html#using-private-repositories-for-builds

FYI: Ben's reply in the internal thread
http://post-office.corp.redhat.com/archives/openshift-sme/2015-July/msg01740.html
Comment 4 Nicholas Nachefski 2015-09-30 14:54:00 EDT
Good enough for me.  Thanks guys!

-Nick

Note You need to log in before you can comment on or make changes to this bug.